Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787944 (CVE-2021-20266) - <app-arch/rpm-4.16.1.3: Out of bounds read in rpmdb parser (CVE-2021-20266)
Summary: <app-arch/rpm-4.16.1.3: Out of bounds read in rpmdb parser (CVE-2021-20266)
Status: RESOLVED FIXED
Alias: CVE-2021-20266
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-03 17:53 UTC by Sam James
Modified: 2021-07-26 03:51 UTC (History)
1 user (show)

See Also:
Package list:
app-arch/rpm-4.16.1.3 *
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-05-03 17:53:47 UTC
Description:
"A flaw was found in RPM's hdrblobInit() in lib/header.c. This flaw allows an attacker who can modify the rpmdb to cause an out-of-bounds read. The highest threat from this vulnerability is to system availability."

Patch: https://github.com/rpm-software-management/rpm/pull/1500

Note that the rpmdb is going to be a root only resource anyway so this is a bit niche in terms of exploitability.
Comment 2 Sam James archtester gentoo-dev Security 2021-05-25 03:06:27 UTC
Shall we stable?
Comment 3 John Helmert III gentoo-dev Security 2021-06-02 02:28:10 UTC
Oops, stabilization was done in bug 778533. Please cleanup.
Comment 4 John Helmert III gentoo-dev Security 2021-07-16 01:57:42 UTC
GLSA request filed.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2021-07-20 04:15:53 UTC
This issue was resolved and addressed in
 GLSA 202107-43 at https://security.gentoo.org/glsa/202107-43
by GLSA coordinator John Helmert III (ajak).
Comment 6 Larry the Git Cow gentoo-dev 2021-07-26 03:25:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9517266013b80bf8e96445a63cf25e27831eb793

commit 9517266013b80bf8e96445a63cf25e27831eb793
Author:     John Helmert III <ajak@gentoo.org>
AuthorDate: 2021-07-25 21:25:01 +0000
Commit:     John Helmert III <ajak@gentoo.org>
CommitDate: 2021-07-26 03:12:57 +0000

    app-arch/rpm: drop 4.14.2.1-r1, 4.16.0
    
    Bug: https://bugs.gentoo.org/778533
    Bug: https://bugs.gentoo.org/787944
    Signed-off-by: John Helmert III <ajak@gentoo.org>

 app-arch/rpm/Manifest                         |   2 -
 app-arch/rpm/files/rpm-4.11.0-autotools.patch |  14 ---
 app-arch/rpm/files/rpm-4.16.0-libdir.patch    |  34 ------
 app-arch/rpm/files/rpm-4.9.1.2-libdir.patch   |  31 ------
 app-arch/rpm/rpm-4.14.2.1-r1.ebuild           | 141 ------------------------
 app-arch/rpm/rpm-4.16.0.ebuild                | 153 --------------------------
 6 files changed, 375 deletions(-)